## kodi-pvr-hdhomerun 1.0.12+git20160316

=== CMakeLists.txt ===
project(pvr.hdhomerun)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

enable_language(CXX)

find_package(kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(platform REQUIRED)
find_package(JsonCpp REQUIRED)
find_package(hdhomerun REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${platform_INCLUDE_DIRS}
                    ${KODI_INCLUDE_DIR}
                    ${JSONCPP_INCLUDE_DIRS}
                    ${HDHOMERUN_INCLUDE_DIRS})

set(DEPLIBS ${kodiplatform_LIBRARIES}
            ${platform_LIBRARIES}
            ${JSONCPP_LIBRARIES}
            ${HDHOMERUN_LIBRARIES})

set(PVRHDHOMERUN_SOURCES src/client.cpp
                         src/HDHomeRunTuners.cpp
                         src/Utils.cpp)

if(WIN32)
  list(APPEND DEPLIBS ws2_32)
  list(APPEND DEPLIBS iphlpapi)
endif()

build_addon(pvr.hdhomerun PVRHDHOMERUN DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-hdhomerun (1.0.12+git20160316-1) unstable; urgency=medium

  * New upstream version 1.0.12+git20160316
  * Refresh patches
  * Extend package description
  * Tidy up debian/control
  * Bump policy version to 3.9.8

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 16 Apr 2016 00:10:42 +0200

kodi-pvr-hdhomerun (1.0.4+git20151120-1) unstable; urgency=medium

  * Fix build by fixing C++ type using upstream patch
  * Create packaging compliant to Debian Policy

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 18 Dec 2015 01:35:17 +0100

=== debian/control ===
Source: kodi-pvr-hdhomerun
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               libkodiplatform-dev,
               kodi-addons-dev,
               libhdhomerun-dev (>= 20150826),
               libjsoncpp-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-pvr-hdhomerun.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-hdhomerun.git
Homepage: https://github.com/kodi-pvr/pvr.hdhomerun.git

Package: kodi-pvr-hdhomerun
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${xbmc-addons-abi:Depends}
Description: HDHomeRun PVR Addon for Kodi
 HDHomeRun is made by SiliconDust and is a stand-alone networked TV/HDTV
 tuner box. The HDHomeRun can either connect with over the air TV signals
 or with cablecard, and then stream the channels over a network to
 supported clients, such as Kodi.
 .
 This package contains the HDHomeRun PVR (Personal Video Recorder) Addon
 for Kodi, the award winning free and open source software media-player
 and entertainment hub for all your digital media.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# hack for using cec-platform
export DEB_CXXFLAGS_MAINT_APPEND = -I$(CURDIR)/src/

%:
	dh $@

override_dh_auto_configure:
	# hack for using cec-platform
	ln -s /usr/include/cec-platform src/platform
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi -DUSE_LTO=1

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-pvr-hdhomerun

override_dh_makeshlibs:
	dh_makeshlibs -n

## kodi-pvr-hdhomerun 2.4.2%2Bgit20160820

=== debian/changelog ===
kodi-pvr-hdhomerun (2.4.2+git20160820-2build1) artful; urgency=medium

  * No-change rebuild against latest libhdhomerun

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Sep 2017 19:59:11 -0400

kodi-pvr-hdhomerun (2.4.2+git20160820-2) unstable; urgency=medium

  * Secure Vcs-Git URL
  * Adapt to Kodi PVR api change - SeekTime (Closes: #849230)
  * Depend on PVR API version of Kodi we built the addon with

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 24 Dec 2016 02:56:04 +0100

kodi-pvr-hdhomerun (2.4.2+git20160820-1) unstable; urgency=medium

  * Imported Upstream version 2.4.2+git20160820
  * Build-depend on latest libkodiplatform-dev and kodi-addons-dev
  * Build-depend on kodi-addons-dev version which has all the needed headers
  * Drop obsoleted patches
  * Make debian/rules executable
  * Drop hack to build with p8-platform

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 03 Nov 2016 22:39:43 +0100

## kodi-pvr-hdhomerun 2.4.2+git20160820

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,20 +6,20 @@
 
 enable_language(CXX)
 
-find_package(kodi REQUIRED)
+find_package(Kodi REQUIRED)
 find_package(kodiplatform REQUIRED)
-find_package(platform REQUIRED)
+find_package(p8-platform REQUIRED)
 find_package(JsonCpp REQUIRED)
 find_package(hdhomerun REQUIRED)
 
 include_directories(${kodiplatform_INCLUDE_DIRS}
-                    ${platform_INCLUDE_DIRS}
+                    ${p8-platform_INCLUDE_DIRS}
                     ${KODI_INCLUDE_DIR}
                     ${JSONCPP_INCLUDE_DIRS}
                     ${HDHOMERUN_INCLUDE_DIRS})
 
 set(DEPLIBS ${kodiplatform_LIBRARIES}
-            ${platform_LIBRARIES}
+            ${p8-platform_LIBRARIES}
             ${JSONCPP_LIBRARIES}
             ${HDHOMERUN_LIBRARIES})

=== depends/common/hdhomerun/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(hdhomerun)

set(SOURCES hdhomerun_channels.c
            hdhomerun_channelscan.c
            hdhomerun_control.c
            hdhomerun_debug.c
            hdhomerun_device.c
            hdhomerun_discover.c
            hdhomerun_pkt.c
            hdhomerun_video.c)

set(HEADERS ${PROJECT_SOURCE_DIR}/hdhomerun.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_channels.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_channelscan.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_control.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_debug.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_device.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_device_selector.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_discover.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_pkt.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_sock.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_types.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_os.h
            ${PROJECT_SOURCE_DIR}/hdhomerun_video.h)

if(WIN32)
  LIST(APPEND SOURCES hdhomerun_os_windows.c)
  LIST(APPEND SOURCES hdhomerun_sock_windows.c)
  LIST(APPEND HEADERS ${PROJECT_SOURCE_DIR}/hdhomerun_os_windows.h)
else()
  LIST(APPEND SOURCES hdhomerun_os_posix.c)
  LIST(APPEND SOURCES hdhomerun_sock_posix.c)
  LIST(APPEND HEADERS ${PROJECT_SOURCE_DIR}/hdhomerun_os_posix.h)
endif()

if(MSVC)
  set_source_files_properties( ${SOURCES} PROPERTIES LANGUAGE "CXX" )
  add_definitions(-D_CRT_SECURE_NO_WARNINGS -D_WINSOCK_DEPRECATED_NO_WARNINGS)
endif()

add_library(hdhomerun ${SOURCES})

include_directories(${PROJECT_SOURCE_DIR})

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include/hdhomerun)
install(TARGETS hdhomerun DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

## kodi-pvr-hdhomerun 3.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,9 +27,18 @@
                          src/HDHomeRunTuners.cpp
                          src/Utils.cpp)
 
+set(PVRHDHOMERUN_HEADERS src/client.h
+                         src/HDHomeRunTuners.h
+                         src/Utils.h)
+
 if(WIN32)
   list(APPEND DEPLIBS ws2_32)
   list(APPEND DEPLIBS iphlpapi)
+  if(CMAKE_SYSTEM_NAME STREQUAL WindowsStore)
+    # if _WIN32_WINNT isn't defined before including hdhomerun.h then 
+    # it's defined as _WIN32_WINNT_VISTA which breaks build on UWP
+    add_definitions(-D_WIN32_WINNT=0x0A00)
+  endif()
 endif()
 
 build_addon(pvr.hdhomerun PVRHDHOMERUN DEPLIBS)

=== depends/common/hdhomerun/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,9 @@
 if(MSVC)
   set_source_files_properties( ${SOURCES} PROPERTIES LANGUAGE "CXX" )
   add_definitions(-D_CRT_SECURE_NO_WARNINGS -D_WINSOCK_DEPRECATED_NO_WARNINGS)
+  if(CMAKE_SYSTEM_NAME STREQUAL WindowsStore)
+    add_definitions(-D_WIN32_WINNT=0x0A00 -D_WINRT) 
+  endif()
 endif()
 
 add_library(hdhomerun ${SOURCES})

=== depends/common/jsoncpp/CMakeLists.txt ===
project(jsoncpp)

cmake_minimum_required(VERSION 3.1)
enable_language(CXX)
SET(CMAKE_CXX_STANDARD 11)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)
SET(CMAKE_CXX_EXTENSIONS OFF)

set(SOURCES src/lib_json/json_reader.cpp
            src/lib_json/json_value.cpp
            src/lib_json/json_writer.cpp)

include_directories(${PROJECT_SOURCE_DIR}/include)

add_library(jsoncpp ${SOURCES})

install(TARGETS jsoncpp DESTINATION ${CMAKE_INSTALL_PREFIX}/lib) 
install(DIRECTORY include/json DESTINATION ${CMAKE_INSTALL_PREFIX}/include/jsoncpp)

=== debian/changelog ===
kodi-pvr-hdhomerun (3.4.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Balint Reczey ]
  * Add debian/watch file
  * Add basic Salsa CI configuration
  * New upstream version 3.4.3
  * Bump libkodiplatform-dev and kodi-addons-dev build-dependency versions
  * Refresh patches
  * Build-depend on kodi-addons-dev (>= 2:18~) (with correct epoch)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 16:38:25 +0100

=== debian/control ===
Source: kodi-pvr-hdhomerun
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               kodi-addons-dev (>= 2:18~),
               libhdhomerun-dev (>= 20150826),
               libjsoncpp-dev,
               libkodiplatform-dev (>= 20180302)
Standards-Version: 3.9.7
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-pvr-hdhomerun
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-pvr-hdhomerun.git
Homepage: https://github.com/kodi-pvr/pvr.hdhomerun.git

Package: kodi-pvr-hdhomerun
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: HDHomeRun PVR Addon for Kodi
 HDHomeRun is made by SiliconDust and is a stand-alone networked TV/HDTV
 tuner box. The HDHomeRun can either connect with over the air TV signals
 or with cablecard, and then stream the channels over a network to
 supported clients, such as Kodi.
 .
 This package contains the HDHomeRun PVR (Personal Video Recorder) Addon
 for Kodi, the award winning free and open source software media-player
 and entertainment hub for all your digital media.

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,9 @@
 export DEB_CXXFLAGS_MAINT_APPEND = -I$(CURDIR)/src/
 
 %:
-	dh $@
+	dh $@ --with kodiaddon
 
 override_dh_auto_configure:
-	# hack for using cec-platform
-	ln -s /usr/include/cec-platform src/platform
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi -DUSE_LTO=1
 
 override_dh_installdocs:

=== debian/watch ===
version=4
https://github.com/kodi-pvr/pvr.hdhomerun/releases /kodi-pvr/.*/archive/?(\d\S*)-[A-Za-z]*\.tar\.gz

## kodi-pvr-hdhomerun 7.1.0+ds1

=== debian/changelog ===
kodi-pvr-hdhomerun (7.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 7.1.0+ds1
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:56 +0000

kodi-pvr-hdhomerun (7.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 7.0.0+ds1
    + Repack out vendored dependencies
  * d/rules:
    + Use architecture.mk for DEB_HOST_MULTIARCH
    + Enable hardening flags
  * Update d/watch
  * d/control:
    + Remove Balint Reczey from Uploaders per his wish, and add myself
    + Use dh-sequence-kodiaddon
    + Drop kodiplatform build-dependency
    + Update Vcs-* for the move to 'kodi-media-center' subgroup
    + Bump Standards-Version to 4.5.1, no changes needed
    + Bump debhelper compat level to 13, use debhelper-compat and drop d/compat
  * Update d/copyright
  * Add new d/upstream/metadata

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 20 Dec 2020 22:15:05 +0000

=== debian/control ===
Source: kodi-pvr-hdhomerun
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
 cmake,
 kodi-addons-dev (>= 2:19~),
 libhdhomerun-dev (>= 20200225),
 libjsoncpp-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hdhomerun
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hdhomerun.git
Homepage: https://kodi.tv/

Package: kodi-pvr-hdhomerun
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${kodi:PVRAPI}
Description: HDHomeRun PVR Addon for Kodi
 HDHomeRun is made by SiliconDust and is a stand-alone networked TV/HDTV
 tuner box. The HDHomeRun can either connect with over the air TV signals
 or with cablecard, and then stream the channels over a network to
 supported clients, such as Kodi.
 .
 This package contains the HDHomeRun PVR (Personal Video Recorder) Addon
 for Kodi, the award winning free and open source software media-player
 and entertainment hub for all your digital media.

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.hdhomerun/releases \
/kodi-pvr/pvr.hdhomerun/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-hdhomerun 19.0.0%2Bds1

=== debian/changelog ===
kodi-pvr-hdhomerun (19.0.0+ds1-1build1) jammy; urgency=medium

  * No-change rebuild against libjsoncpp25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 07:47:28 +0000

kodi-pvr-hdhomerun (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:46 +0000

kodi-pvr-hdhomerun (7.1.1+ds1-1) unstable; urgency=medium

  * New upstream version 7.1.1+ds1
  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:31:37 +0000

## kodi-pvr-hdhomerun 19.0.0+ds1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kodi-pvr-hdhomerun
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: dh-sequence-kodiaddon,
@@ -9,7 +10,7 @@
  kodi-addons-dev (>= 2:19~),
  libhdhomerun-dev (>= 20200225),
  libjsoncpp-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hdhomerun
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hdhomerun.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.hdhomerun/releases \
/kodi-pvr/pvr.hdhomerun/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-hdhomerun 19.1.0%2Bds1

=== debian/changelog ===
kodi-pvr-hdhomerun (19.1.0+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:43 +0000

kodi-pvr-hdhomerun (19.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.1.0+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:46:58 +0000

## kodi-pvr-hdhomerun 19.1.0+ds1

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: kodi-pvr-hdhomerun
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
  cmake,
- kodi-addons-dev (>= 2:19~),
  libhdhomerun-dev (>= 20200225),
  libjsoncpp-dev
 Standards-Version: 4.6.0

## kodi-pvr-hdhomerun 20.3.0+ds1

=== debian/changelog ===
kodi-pvr-hdhomerun (20.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:53:43 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.hdhomerun/releases \
/kodi-pvr/pvr.hdhomerun/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-hdhomerun 20.4.0%2Bds1

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kodi-pvr-hdhomerun
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
  cmake,
  libhdhomerun-dev (>= 20200225),
  libjsoncpp-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hdhomerun
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hdhomerun.git

## kodi-pvr-hdhomerun 20.4.0+ds1

=== debian/changelog ===
kodi-pvr-hdhomerun (20.4.0+ds1-1build2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:51:58 +0200

kodi-pvr-hdhomerun (20.4.0+ds1-1build1) noble; urgency=medium

  * Rebuild against latest libhdhomerun

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 27 Oct 2023 17:39:31 -0400

kodi-pvr-hdhomerun (20.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.4.0+ds1
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:53:41 +0000

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.hdhomerun \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-hdhomerun 21.0.1+ds

=== debian/changelog ===
kodi-pvr-hdhomerun (21.0.1+ds-2build1) plucky; urgency=medium

  * No-change rebuild for libjsoncpp26

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 09 Nov 2024 11:58:28 +0000

kodi-pvr-hdhomerun (21.0.1+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:13:35 +0000

kodi-pvr-hdhomerun (21.0.1+ds-1) unstable; urgency=medium

  * New upstream version 21.0.1+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:57:07 +0000

kodi-pvr-hdhomerun (21.0.0+ds-1) experimental; urgency=medium

  * New upstream version 21.0.0+ds
  * Branch out experimental
  * Modernize package
  * New release 20.3.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:09:56 +0000

## kodi-pvr-hdhomerun 21.0.2+ds

=== debian/changelog ===
kodi-pvr-hdhomerun (21.0.2+ds-1) unstable; urgency=high

  * New upstream version 21.0.2+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:45:48 +0000

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.hdhomerun \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian

## kodi-pvr-hdhomerun 21.0.4%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: kodi-pvr-hdhomerun
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
  cmake,
  libhdhomerun-dev (>= 20200225),
  libjsoncpp-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hdhomerun
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hdhomerun.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-hdhomerun.git -b debian/sid
 Homepage: https://kodi.tv/
 
 Package: kodi-pvr-hdhomerun

## kodi-pvr-hdhomerun 21.0.4+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.hdhomerun)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(JsonCpp REQUIRED)
find_package(hdhomerun REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                    ${JSONCPP_INCLUDE_DIRS}
                    ${HDHOMERUN_INCLUDE_DIRS})

set(DEPLIBS ${JSONCPP_LIBRARIES}
            ${HDHOMERUN_LIBRARIES})

set(PVRHDHOMERUN_SOURCES src/HDHomeRunTuners.cpp
                         src/Settings.cpp
                         src/Utils.cpp)

set(PVRHDHOMERUN_HEADERS src/HDHomeRunTuners.h
                         src/Settings.h
                         src/Utils.h)

if(WIN32)
  list(APPEND DEPLIBS ws2_32)
  list(APPEND DEPLIBS iphlpapi)
  add_compile_options(/wd4996)
  if(CMAKE_SYSTEM_NAME STREQUAL WindowsStore)
    # if _WIN32_WINNT isn't defined before including hdhomerun.h then
    # it's defined as _WIN32_WINNT_VISTA which breaks build on UWP
    add_definitions(-D_WIN32_WINNT=0x0A00)
  endif()
endif()

build_addon(pvr.hdhomerun PVRHDHOMERUN DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-hdhomerun (21.0.4+ds-1) unstable; urgency=high

  * New upstream version 21.0.4+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 10 Oct 2025 06:40:07 +0000
